

function me51n_excel_to_guixt(filename) {

    // try to attach to a running Excel instance
    var XL = guixt.GetObject("Excel.Application");

    // create a new instance if not found or visible
    if (XL == null || XL.Visible) {
        XL = guixt.CreateObject("Excel.Application");

        if (XL == null) {
            alert("Excel not installed")
        };

        // Do not display Excel window
        XL.Visible = false;

        // Do not display any alerts
        XL.DisplayAlerts = false;

    };



    // Open File
    var wBook = null;

    try {
        wBook = XL.Workbooks.Open(filename, 0, true)
    }
    catch (e) {
        return;
    }

    var cells = wBook.Worksheets(1).Cells;

    var k = 1;

    while (cells(k, 1).Value)
    {

        // fill GuiXT table
        guixt.Set("mytab.matnr." + k, cells(k, 1).Value);
        guixt.Set("mytab.menge." + k, cells(k, 2).Value);
        guixt.Set("mytab.eeind." + k, cells(k, 3).Value);
        guixt.Set("mytab.name1." + k, cells(k, 4).Value);
        guixt.Set("mytab.ekgrp." + k, cells(k, 5).Value);
        guixt.Set("mytab.ekorg." + k, cells(k, 6).Value);

        k++;
    };

    wBook.CLose();
    wBook = null;

    XL.Quit();
    XL = null;

    return;
}
